/*
Solo para referencia. Estas variables están definidas en style.css
:root {
    --dark-color: #333333;
    --dark-gray-color: #555555;
    --gray-color: #aaaaaa;
    --light-gray-color: #e7e7e7;
    --light-color: #ffffff;
    --primary-color: #1766ae;
    --secondary-color: #f39222;
    --terciary-color: #dd2727;
    --light-shadow: #00000038;
    --dark-blue-color: #183153;
    --transition: 250ms;
    --bold-font: 800;
    --thin-font: 300;
    --font-family-primary: 'Montserrat';
}
*/

.customers {
    width: 100%;
    .customers__content {
        width: 100%;
        overflow-x: auto;
        overflow-y: hidden;
        -webkit-overflow-scrolling: touch;
        scroll-snap-type: x mandatory;
        cursor: grab;
        scrollbar-width: thin;
        scrollbar-color: var(--primary-color) var(--light-gray-color);
        &::-webkit-scrollbar {
            height: 8px;
        }
        &::-webkit-scrollbar-track {
            background: var(--light-gray-color);
            border-radius: 10px;
        }
        &::-webkit-scrollbar-thumb {
            background: var(--gray-color);
            border-radius: 10px;
        }
        &::-webkit-scrollbar-thumb:hover {
            background: var(--dark-gray-color);
        }
        &:active {
            cursor: grabbing;
        }
        .customers__inner {
            width: fit-content;
            display: flex;
            gap: 1rem;
            padding-bottom: 1rem;
            padding-inline: calc((100vw - 758px) / 2);
            transition: none;
        }
    }
}

.customer-item {
    width: 100%;
    min-width: 758px;
    max-width: 759px;
    padding: 1rem;
    border-radius: 15px;
    background-color: rgb(from var(--light-gray-color) r g b / 50%);
    border-top: 5px solid var(--primary-color);
    flex: 0 0 auto;
    scroll-snap-align: center;
    .customer-item__review {
        .customer-item__ornament--quotes {
            width: 100%;
            max-width: 55px;
            height: auto;
            margin-right: 1.5rem;
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: top;
                margin-top: 0.5rem;
            }
        }
        .customer-item__text {
            p {
                font-size: 1.1em;
                color: var(--dark-gray-color);
                font-style: italic;
                line-height: 1.5em;
                height: 100%;
                min-height: 150px;
            }
        }
    }
    .customer-item__data {
        width: 100%;
        .customer-item__brand {
            width: 100%;
            height: 100%;
            max-width: 100px;
            max-height: 75px;
            aspect-ratio: 1 / 1;
            display: flex;
            align-items: center;
            justify-content: center;
            img {
                width: 100%;
                height: 100%;
                object-fit: contain;
                object-position: center;
            }
        }
    }
}

.customer-item__tags {
    width: 100%;
    .badge {
        padding: 0.5rem;
        background-color: var(--light-color);
        color: var(--dark-gray-color);
        border-radius: 99px;
        font-size: 0.8em;
        margin-right: 0.75rem;
        font-weight: 400;
        font-style: italic;
    }
}

@media (width <= 800px) {
    .customer-item {
        min-width: 80vw;
        max-width: 80vw;
    }
}